<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/SymbolLookup.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis::SymbolLookup</title>
<link href="../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<h1 >Namespace <a href="../Synopsis.html" >Synopsis</a>::SymbolLookup

</h1> <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Classes Summary:</div>
<div class="item"><div class="synopsis">class <a href="SymbolLookup/SymbolDisplay.html" >SymbolDisplay</a></div> <div class="xref"><a href="../../XRef/xref25.html#Synopsis_mSymbolLookup_mSymbolDisplay" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/SymbolLookup/Display.hh.html#line17" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="SymbolLookup/ScopeDisplay.html" >ScopeDisplay</a></div> <div class="xref"><a href="../../XRef/xref24.html#Synopsis_mSymbolLookup_mScopeDisplay" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/SymbolLookup/Display.hh.html#line45" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>The ScopeDisplay class provides an annotated view of the symbol table,
for debugging purposes.</p>
</div></div>
<div class="item"><div class="synopsis">class <a href="SymbolLookup/InternalError.html" >InternalError</a></div> <div class="xref"><a href="../../XRef/xref22.html#Synopsis_mSymbolLookup_mInternalError" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/SymbolLookup/Scope.hh.html#line51" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="SymbolLookup/Scope.html" >Scope</a></div> <div class="xref"><a href="../../XRef/xref23.html#Synopsis_mSymbolLookup_mScope" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/SymbolLookup/Scope.hh.html#line66" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>A Scope contains symbol definitions.</p>
</div></div>
<div class="item"><div class="synopsis">class <a href="SymbolLookup/ScopeVisitor.html" >ScopeVisitor</a></div> <div class="xref"><a href="../../XRef/xref25.html#Synopsis_mSymbolLookup_mScopeVisitor" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/SymbolLookup/Scopes.hh.html#line30" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>A Visitor for Scopes.</p>
</div></div>
<div class="item"><div class="synopsis">class <a href="SymbolLookup/TemplateParameterScope.html" >TemplateParameterScope</a></div> <div class="xref"><a href="../../XRef/xref26.html#Synopsis_mSymbolLookup_mTemplateParameterScope" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/SymbolLookup/Scopes.hh.html#line43" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="SymbolLookup/LocalScope.html" >LocalScope</a></div> <div class="xref"><a href="../../XRef/xref22.html#Synopsis_mSymbolLookup_mLocalScope" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/SymbolLookup/Scopes.hh.html#line63" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="SymbolLookup/FunctionScope.html" >FunctionScope</a></div> <div class="xref"><a href="../../XRef/xref22.html#Synopsis_mSymbolLookup_mFunctionScope" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/SymbolLookup/Scopes.hh.html#line84" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="SymbolLookup/PrototypeScope.html" >PrototypeScope</a></div> <div class="xref"><a href="../../XRef/xref23.html#Synopsis_mSymbolLookup_mPrototypeScope" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/SymbolLookup/Scopes.hh.html#line114" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="SymbolLookup/Class.html" >Class</a></div> <div class="xref"><a href="../../XRef/xref21.html#Synopsis_mSymbolLookup_mClass" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/SymbolLookup/Scopes.hh.html#line142" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="SymbolLookup/Namespace.html" >Namespace</a></div> <div class="xref"><a href="../../XRef/xref23.html#Synopsis_mSymbolLookup_mNamespace" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/SymbolLookup/Scopes.hh.html#line172" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="SymbolLookup/SymbolVisitor.html" >SymbolVisitor</a></div> <div class="xref"><a href="../../XRef/xref25.html#Synopsis_mSymbolLookup_mSymbolVisitor" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/SymbolLookup/Symbol.hh.html#line30" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="SymbolLookup/Symbol.html" >Symbol</a></div> <div class="xref"><a href="../../XRef/xref25.html#Synopsis_mSymbolLookup_mSymbol" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/SymbolLookup/Symbol.hh.html#line53" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="SymbolLookup/VariableName.html" >VariableName</a></div> <div class="xref"><a href="../../XRef/xref26.html#Synopsis_mSymbolLookup_mVariableName" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/SymbolLookup/Symbol.hh.html#line71" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="SymbolLookup/ConstName.html" >ConstName</a></div> <div class="xref"><a href="../../XRef/xref22.html#Synopsis_mSymbolLookup_mConstName" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/SymbolLookup/Symbol.hh.html#line80" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="SymbolLookup/TypeName.html" >TypeName</a></div> <div class="xref"><a href="../../XRef/xref26.html#Synopsis_mSymbolLookup_mTypeName" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/SymbolLookup/Symbol.hh.html#line97" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="SymbolLookup/TypedefName.html" >TypedefName</a></div> <div class="xref"><a href="../../XRef/xref26.html#Synopsis_mSymbolLookup_mTypedefName" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/SymbolLookup/Symbol.hh.html#line106" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="SymbolLookup/ClassName.html" >ClassName</a></div> <div class="xref"><a href="../../XRef/xref22.html#Synopsis_mSymbolLookup_mClassName" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/SymbolLookup/Symbol.hh.html#line114" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="SymbolLookup/EnumName.html" >EnumName</a></div> <div class="xref"><a href="../../XRef/xref22.html#Synopsis_mSymbolLookup_mEnumName" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/SymbolLookup/Symbol.hh.html#line126" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="SymbolLookup/ClassTemplateName.html" >ClassTemplateName</a></div> <div class="xref"><a href="../../XRef/xref22.html#Synopsis_mSymbolLookup_mClassTemplateName" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/SymbolLookup/Symbol.hh.html#line134" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="SymbolLookup/FunctionName.html" >FunctionName</a></div> <div class="xref"><a href="../../XRef/xref22.html#Synopsis_mSymbolLookup_mFunctionName" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/SymbolLookup/Symbol.hh.html#line147" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="SymbolLookup/FunctionTemplateName.html" >FunctionTemplateName</a></div> <div class="xref"><a href="../../XRef/xref22.html#Synopsis_mSymbolLookup_mFunctionTemplateName" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/SymbolLookup/Symbol.hh.html#line160" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="SymbolLookup/NamespaceName.html" >NamespaceName</a></div> <div class="xref"><a href="../../XRef/xref23.html#Synopsis_mSymbolLookup_mNamespaceName" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/SymbolLookup/Symbol.hh.html#line172" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="SymbolLookup/Walker.html" >Walker</a></div> <div class="xref"><a href="../../XRef/xref26.html#Synopsis_mSymbolLookup_mWalker" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/SymbolLookup/Walker.hh.html#line22" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>This Walker adjusts the symbol lookup table while the parse tree
is being traversed such that symbols in the parse tree can be
looked up correctly in the right context.</p>
</div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Typedefs Summary:</div>
<div class="item"><div class="synopsis">std::set&lt;const&#160;<a href="SymbolLookup/Symbol.html" >Symbol</a>*&gt; <a class="name" id="SymbolSet">SymbolSet</a></div> <div class="xref"><a href="../../XRef/xref25.html#Synopsis_mSymbolLookup_mSymbolSet" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/SymbolLookup/Scope.hh.html#line61" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Structs Summary:</div>
<div class="item"><div class="synopsis">struct <a href="SymbolLookup/TypeError.html" >TypeError</a></div> <div class="xref"><a href="../../XRef/xref26.html#Synopsis_mSymbolLookup_mTypeError" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/SymbolLookup/Scope.hh.html#line18" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">struct <a href="SymbolLookup/Undefined.html" >Undefined</a></div> <div class="xref"><a href="../../XRef/xref26.html#Synopsis_mSymbolLookup_mUndefined" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/SymbolLookup/Scope.hh.html#line28" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">struct <a href="SymbolLookup/MultiplyDefined.html" >MultiplyDefined</a></div> <div class="xref"><a href="../../XRef/xref23.html#Synopsis_mSymbolLookup_mMultiplyDefined" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/SymbolLookup/Scope.hh.html#line38" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Functions Summary:</div>
<div class="item"><div class="synopsis"><span class="keyword">inline</span>&#160;void <a class="name" id="display_lconst.Scope_S_cstd_mostream_A_r">display</a>(const&#160;<a href="SymbolLookup/Scope.html" >Scope</a>* <span class="variable">s</span>, std::ostream&amp; <span class="variable">os</span>)  </div> <div class="xref"></div> <div class="source"><a href="../../Source/Synopsis/SymbolLookup/Display.hh.html#line67" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Classes Details:</div>
<div class="item"><div class="synopsis">class <a href="SymbolLookup/ScopeDisplay.html" >ScopeDisplay</a></div> <div class="xref"><a href="../../XRef/xref24.html#Synopsis_mSymbolLookup_mScopeDisplay" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/SymbolLookup/Display.hh.html#line45" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>The ScopeDisplay class provides an annotated view of the symbol table,
for debugging purposes.</p>
</div></div>
<div class="item"><div class="synopsis">class <a href="SymbolLookup/Scope.html" >Scope</a></div> <div class="xref"><a href="../../XRef/xref23.html#Synopsis_mSymbolLookup_mScope" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/SymbolLookup/Scope.hh.html#line66" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>A Scope contains symbol definitions.</p>
</div></div>
<div class="item"><div class="synopsis">class <a href="SymbolLookup/ScopeVisitor.html" >ScopeVisitor</a></div> <div class="xref"><a href="../../XRef/xref25.html#Synopsis_mSymbolLookup_mScopeVisitor" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/SymbolLookup/Scopes.hh.html#line30" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>A Visitor for Scopes.
The default implementation does nothing, so
users only need to implement the ones they need.</p>
</div></div>
<div class="item"><div class="synopsis">class <a href="SymbolLookup/Walker.html" >Walker</a></div> <div class="xref"><a href="../../XRef/xref26.html#Synopsis_mSymbolLookup_mWalker" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/SymbolLookup/Walker.hh.html#line22" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>This Walker adjusts the symbol lookup table while the parse tree
is being traversed such that symbols in the parse tree can be
looked up correctly in the right context.</p>
</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:27:42 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
